Bug 431034 - Firefox can't load any page
Firefox can't load any page
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 05:02 EST by Adrin Jalali
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 07:57:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrin Jalali 2008-01-31 05:02:32 EST
Description of problem:
I have updated my firefox to firefox-3.0-0.beta2.12.nightly20080121.fc9.i386. 
But when I start it, in error console I see these two errors: 

Error: Cc['@mozilla.org/url-classifier/jslib;1'] is undefined
Source File: file:///usr/lib/firefox-3.0b3pre/components/
nsSafebrowsingApplication.js
Line: 2842

Error: uncaught exception: [Exception... "Component returned failure code: 
0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE) [nsIJSCID.getService]"  nsresult: 
"0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE)"  location: "JS frame :: chrome:/
/browser/content/safebrowsing/sb-loader.js :: anonymous :: line 35"  data: no]

and no page can be loaded.
Comment 1 Matěj Cepl 2008-01-31 09:12:24 EST
Could you try to remove your ~/.mozilla folder somewhere else for a moment, and
then run firefox -safe-mode. If it works, is it OK to run firefox in the regular
way (with ~/.mozilla still empty)?
Comment 2 Adrin Jalali 2008-02-01 07:57:58 EST
Yeah, fixed. Thanks.

Note You need to log in before you can comment on or make changes to this bug.